import { TypeOrConverter } from '../util/jsonConverterUtil';
export declare class JsonConverter {
    private _options;
    constructor(_options?: JsonConverterOptions);
    serialize<T>(obj: T, type?: TypeOrConverter, options?: SerializeOptions): any;
    deserialize<T>(json: any, type: TypeOrConverter, options?: DeserializeOptions): T;
    private buildErrorMessage;
}
export interface SerializeOptions {
    unsafe: boolean;
    context?: string;
}
export interface DeserializeOptions {
    keepObjectFieldValues?: boolean;
    tryParse?: boolean;
    context?: string;
}
export interface JsonConverterOptions {
    serialize?: SerializeOptions;
    deserialize?: DeserializeOptions;
}
